#!/usr/bin/env python

import math

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24
deg = math.pi/180.0

def Sc_func(a, m):
    Scmax = 0.0
    N = 100
    M = len(a)
    for i in xrange(0,N):
        a_ = 0.2+1.8*i/N
        Sc = 0.0
        s = 0.0
        for j in xrange(0,M):
            Sc += m[j]*(math.log10(a_/a[j]))**2
            s += m[j]
        Sc = s/Sc
        if Sc > Scmax:
            Scmax = Sc
    return Scmax

def follow(filename):
    a = []
    e = []
    i = []
    m = []
    f = open(filename, "r")
    for line in f.readlines():
        l = line.split()
        j = int(l[0])
        t = float(l[1])
        a.append(float(l[2]))
        e.append(float(l[3]))
        i.append(float(l[4])*deg)
        m.append(float(l[8]))
    f.close()
    return a, e, i, m

def readss(filename):
    a = []
    e = []
    i = []
    m = []
    f = open(filename, "r")
    for line in f.readlines():
        l = line.split()
        j = int(l[1])
        t = float(l[0])
        a.append(float(l[2]))
        e.append(float(l[3]))
        i.append(float(l[4])*deg)
        m.append(float(l[5]))
    f.close()
    return a, e, i, m

def main():
    f = open("Sc.out", "w")
    f.write("# id & Sc [] & N_pl\n")

    a, e, i, m = readss("plt/ss.dat")
    Sc = Sc_func(a, m)
    f.write("# ss.dat	%.6f	%d\n" % (Sc, len(a)))

    for j in xrange(0,50):
        a, e, i, m = follow("%03d/10My.out" % (j+1))
        Sc = Sc_func(a, m)
        f.write("%03d	%.6f	%d\n" % (j+1, Sc, len(a)))

    f.close()

if __name__ == "__main__":
    main()

