#!/usr/bin/env python

import re

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

def read1(filename):

    a = {}
    m = {}
    f = open(filename, "r")
    for line in f.readlines():
        if line[0:1] != "#":
            l = line.split()
            id = int(l[0])
            a[id] = float(l[2])
            m[id] = float(l[8])/gms*M_S/M_E
    f.close()
    return a, m

def source(f_initial, f_final, f_discard):

    a_ini, m_ini = read1(f_initial)
    a_fin, m_fin = read1(f_final)

    f = open(f_discard, "r")
    f2 = open("source.out", "w")
    f2.write("# id1 & a_fin [au] & m_fin [M_E] ids1 & a_ini [au] & m_ini [M_E] &\n")

    i = 0
    for line in f.readlines():
        i += 1
        if i > 2 and line[0:1] == "#":
            print line
            l = line.split()
            id1 = -int(l[2])
            ids1 = map(lambda x: -int(x), l[5:])

            for j in xrange(0,len(ids1)):
                k = ids1[j]
                f2.write("%d %f %f %d %f %f\n" % (id1, a_fin[id1], m_fin[id1], k, a_ini[k], m_ini[k]))

    f.close()
    f2.close()


def main():
    source("initial.out", "10My.out", "discard_a.out")

if __name__ == "__main__":
    main()


